Index: /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/TEncSlice.cpp
===================================================================
--- /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 1278)
+++ /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/TEncSlice.cpp	(revision 1279)
@@ -226,5 +226,5 @@
   rpcSlice->setPicOutputFlag( true );
   rpcSlice->setPOC( pocCurr );
-#if H_3D_IC
+#if NH_3D_IC
   rpcSlice->setApplyIC( false );
 #endif
@@ -567,5 +567,5 @@
   rpcSlice->setSliceSegmentMode     ( m_pcCfg->getSliceSegmentMode()     );
   rpcSlice->setSliceSegmentArgument ( m_pcCfg->getSliceSegmentArgument() );
-#if H_3D_IV_MERGE
+#if NH_3D_IV_MERGE
 #else
   rpcSlice->setMaxNumMergeCand        ( m_pcCfg->getMaxNumMergeCand()        );
@@ -823,10 +823,10 @@
 #endif
 
-#if H_3D_IC
-  if ( pcEncTop->getViewIndex() && pcEncTop->getUseIC() &&
+#if NH_3D_IC
+  if ( m_pcCfg->getViewIndex() && m_pcCfg->getUseIC() &&
        !( ( pcSlice->getSliceType() == P_SLICE && pcSlice->getPPS()->getUseWP() ) || ( pcSlice->getSliceType() == B_SLICE && pcSlice->getPPS()->getWPBiPred() ) )
      )
   {
-    pcSlice ->xSetApplyIC(pcEncTop->getUseICLowLatencyEnc());
+    pcSlice ->xSetApplyIC(m_pcCfg->getUseICLowLatencyEnc());
     if ( pcSlice->getApplyIC() )
     {
@@ -1121,5 +1121,12 @@
   g_bJustDoIt = g_bEncDecTraceEnable;
 #endif
+#if H_MV_ENC_DEC_TRAC
+#if ENC_DEC_TRACE
+  incSymbolCounter();
+#endif
+  DTRACE_CABAC_VL( g_nSymbolCounter );
+#else
   DTRACE_CABAC_VL( g_nSymbolCounter++ );
+#endif
   DTRACE_CABAC_T( "\tPOC: " );
   DTRACE_CABAC_V( pcPic->getPOC() );
@@ -1194,6 +1201,6 @@
     }
 
-#if H_3D_QTLPC
-    rpcPic->setReduceBitsFlag(true);
+#if NH_3D_QTLPC
+    pcPic->setReduceBitsFlag(true);
 #endif
     if ( pcSlice->getSPS()->getUseSAO() )
@@ -1266,6 +1273,6 @@
       }
     }
-#if H_3D_QTLPC
-    rpcPic->setReduceBitsFlag(false);
+#if NH_3D_QTLPC
+    pcPic->setReduceBitsFlag(false);
 #endif
   } // CTU-loop
Index: /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1278)
+++ /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1279)
@@ -79,5 +79,5 @@
   m_ivPicLists = NULL;
 #endif
-#if H_3D_IC
+#if NH_3D_IC
   m_aICEnableCandidate = NULL;
   m_aICEnableNum = NULL;
@@ -227,5 +227,5 @@
 
   xInitPPSforTiles();
-#if H_3D_IC
+#if NH_3D_IC
   m_aICEnableCandidate = new Int[ 10 ];
   m_aICEnableNum = new Int[ 10 ];
Index: /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/TEncTop.h
===================================================================
--- /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/TEncTop.h	(revision 1278)
+++ /branches/HTM-14.1-update-dev1/source/Lib/TLibEncoder/TEncTop.h	(revision 1279)
@@ -81,5 +81,5 @@
   TComPicLists*           m_ivPicLists;                   ///< access to picture lists of other layers 
 #endif
-#if H_3D_IC
+#if NH_3D_IC
   Int *m_aICEnableCandidate;
   Int *m_aICEnableNum;
@@ -158,5 +158,5 @@
   TComPicLists* getIvPicLists() { return m_ivPicLists; }
 #endif
-#if H_3D_IC
+#if NH_3D_IC
   Int*      getICEnableCandidate() { return m_aICEnableCandidate; }
   Int*      getICEnableNum() { return m_aICEnableNum; }
@@ -208,5 +208,5 @@
   Void                    setSps3dExtension     ( TComSps3dExtension sps3dExtension ) { m_cSPS.setSps3dExtension( sps3dExtension );  };
 #endif
-#if H_3D_IC
+#if NH_3D_IC
   Void                    setICEnableCandidate         ( Int* ICEnableCandidate) { m_aICEnableCandidate = ICEnableCandidate; }
   Void                    setICEnableNum         ( Int* ICEnableNum) { m_aICEnableNum = ICEnableNum; }
